package TP3;

import java.util.*;


public class ClientServeurI implements MP3.ClientServeur {


	List<Morceau> listeMorceaux;
	
	public ClientServeurI () {
	
		this.listeMorceaux = new ArrayList<Morceau>();
	
		//this.listeMorceaux.add(new Morceau("GG","ff","dd","",1));
		
	}
	
    public long addMorceau(String titre, com.zeroc.Ice.Current current)
    {
    	this.listeMorceaux.add(
    			new Morceau(titre,"","","",this.listeMorceaux.size()+1));
    	return (long) this.listeMorceaux.size();
    }

    public void setURLMorceauById(long id, String url, com.zeroc.Ice.Current current) {

    	Morceau morceau = this.listeMorceaux.get((int) id);
    	
		morceau.setURL(url);

		this.listeMorceaux.set((int) id, morceau);
    	
    }
    
	public void setInterpreteMorceauById(long id, String interprete, com.zeroc.Ice.Current current) {

    	Morceau morceau = this.listeMorceaux.get((int) id);
    	
		morceau.setInterprete(interprete);

		this.listeMorceaux.set((int) id, morceau);

	}

	public void setGenreMorceauById(long id, String genre, com.zeroc.Ice.Current current) {
		
    	Morceau morceau = this.listeMorceaux.get((int) id);
    	
		morceau.setInterprete(genre);

		this.listeMorceaux.set((int) id, morceau);

	}

	public String getIdMorceauByTitre(String titre, com.zeroc.Ice.Current current) {
	
		String id = "";
		
		for(Morceau morceau : this.listeMorceaux) {
		
			if(morceau.getTitre().equals(titre))
				id+=morceau.getId()+",";
		
		}
		
		return id;
	}
	
	public String getURLMorceauById(long id, com.zeroc.Ice.Current current) {

		return this.listeMorceaux.get((int) id).getURL();
		
	}
	
	public String getInterpreteMorceauById(long id, com.zeroc.Ice.Current current) {
		return this.listeMorceaux.get((int) id).getInterprete();

	}

	public String getGenreMorceauById(long id, com.zeroc.Ice.Current current) {
		return this.listeMorceaux.get((int) id).getGenre();

	}
	
	
}
